Subject: bug#58599: `date -d $(date)` error for non en_* locale

From: Paul Eggert <[email-masked]>
Date: Mon, 17 Oct 2022 18:04:04 -0700

On 10/17/22 07:44, Ruslan Kovtun wrote:
> According to "do one thing and do it well" and to the fact of '-d/--date'
> option existence, `date` should be able to parse its default output in any
> locale.

Patches would be welcome. Good luck getting it to work, though. Many 
date formats are ambiguous, and I don't see how you'd address that.

In the meantime, I suggest sticking to ISO format dates and times with 
UTC, e.g.:

date -d "$(date -u +'%Y-%m-%d %H:%M:%S.%NZ')"